package sun.management.snmp.jvminstr;

import com.sun.jmx.snmp.SnmpStatusException;
import java.io.Serializable;
import sun.management.snmp.jvmmib.JvmRTInputArgsEntryMBean;

public class JvmRTInputArgsEntryImpl implements JvmRTInputArgsEntryMBean, Serializable
{
    static final long serialVersionUID = 1000306518436503395L;
    private final String item;
    private final int index;
    
    public JvmRTInputArgsEntryImpl(String s, int index) {
        this.item = this.validArgValueTC(s);
        this.index = index;
    }
    
    private String validArgValueTC(String s) {
        return JVM_MANAGEMENT_MIB_IMPL.validArgValueTC(s);
    }
    
    public String getJvmRTInputArgsItem() throws SnmpStatusException {
        return this.item;
    }
    
    public Integer getJvmRTInputArgsIndex() throws SnmpStatusException {
        return new Integer(this.index);
    }
}
